<?php
$strOutput .= "<style type=\"text/css\" scoped>.grid .thumbnail{ width:".$thumb_size."px}</style>";
        #----------------------------------------------------------------------------
        # Iterate over the $vals
        #----------------------------------------------------------------------------

        unset($thumb);
        unset($title);
        unset($href);
        unset($path);
        unset($url);
        $image_count=0;

        // Init masonry 
        $xxx = "<div class='grid js-masonry' data-masonry-options='{ \"itemSelector\": \".grid-item\", \"columnWidth\": 235 }'>\n";

        foreach ( $vals as $val ) {

                if ($open != 1) {

                    if ($val["tag"] == "TITLE") {

                        if ($val["type"] == "complete")  {
                            $album_title = $val["value"] ;
                            $open = 1;
                        }
                    }

                } else {

            switch ( $val["tag"] ) {

                case "MEDIA:THUMBNAIL":
                        $thumb = trim( $val["attributes"]["URL"] . "\n" );
                        break;

                case "MEDIA:TITLE":
                        $title = trim( $val["value"] );
                        break;

                case "MEDIA:DESCRIPTION":
                        if ( $val["attributes"]["REL"] == "alternate" ) {
                            $href = trim( $val["attributes"]["HREF"] );
                        }
                        break;

                case "MEDIA:CONTENT":
                        $href = $val["attributes"]["URL"];
                        $imght = $val["attributes"]["HEIGHT"];
                        $imgwd = $val["attributes"]["WIDTH"];
                        break;

                case "SUMMARY":
                        $text = $val["value"];
                        break;

                case "GPHOTO:NUMPHOTOS":
                        $num_photos = $val["value"]; // num photos in a particular album
                        //echo "<h1>Total Photos in this album = $numphotos</h1>";
                        break;

                case "GPHOTO:ID":
                        if ( !isset($stop) ) {
                            $gphotoid = trim( $val["value"] );
                        }
                        break;
        }

    }

        #----------------------------------------------------------------------------
        # Once we have all the pieces of info we want, dump the output
        #----------------------------------------------------------------------------
        if ( isset( $thumb ) && isset( $title ) && isset( $href ) && isset( $gphotoid ) ) {

                if ( $stop != 1 ) {

                    if ( $show_title ) {
//                        $strOutput .= "<div id='album_title' style='min-height:50px; position: relative;'><h2>$album_title</h2></div>\n<div class='thumbnails'>\n";
                        $strOutput .= "<div id='album_title' style='min-height:50px; position: relative;'><h2>$album_title</h2></div>\n";
                    }

                    $strOutput .= $xxx;

                    $stop=1;
                }
                $count++;


                $strOutput .= "<div class='thumbnail grid-item'>\n";

                    $strOutput .= "<a class='example-image-link' href='$href' data-lightbox='example-set' data-title='$title'><img class='example-image' src='$thumb' alt='$title'/></a>\n";

                    // Create this div only if title or details are to be shown
                    if( $show_title  || $show_details ) 
                    {
                        $strOutput .= "<div class='details'>\n";
                        $strOutput .= "<ul>\n";
                    }
                        if ( $show_title ) {
                            $strOutput .= "<li class='title'><a href='" .$results_page . "?cws_album=$gphotoid'>$title</a></li>\n";
                        }

                        if ( $show_details && $text != ""  ) {
                            $output = "<li>Caption: $text";
                            $strOutput .= $output;
                        }

                    $strOutput .= "</ul>\n";
                    // $strOutput .= "</div>\n"; // End .details


                // Close this div only if title or details are to be shown
                if( $show_title || $show_details ) 
                {
                    $strOutput .= "</div>\n"; // End .details
                    $strOutput .= "</div>"; // End .thumbnail
                }
                #----------------------------------
                # Reset the variables
                #----------------------------------
                
                // TODO do I need all these?
                unset( $thumb, $title, $href, $path, $url, $text ); 
        }
}



//$strOutput .= "</div>"; // End .thumbnails
$strOutput .= "</div>"; // End .grid

