<?php

    wp_register_style( 'cws_gpp_cws_gpp_slick_carousel_css', plugins_url( '../../public/css/slick/slick.css',__FILE__ ) , '', 1 );
    wp_register_style( 'cws_gpp_cws_gpp_slick_carousel_css_theme', plugins_url( '../../public/css/slick/slick-theme.css',__FILE__ ) , '', 1 );

    wp_register_style( 'cws_gpp_cws_gpp_slick_lb_css', plugins_url( '../../public/css/slick-lightbox/slick-lightbox.css',__FILE__ ) , '', 1 );

    if ( function_exists( 'wp_enqueue_style' ) ) {
        wp_enqueue_style( 'cws_gpp_cws_gpp_slick_carousel_css' );
        wp_enqueue_style( 'cws_gpp_cws_gpp_slick_carousel_css_theme' );
        wp_enqueue_style( 'cws_gpp_cws_gpp_slick_lb_css' );
    } 

    // Some naughtty inline styles
    $strOutput .=  "<style>.grid-item { width: " . $album_thumb_size . "px;  padding:1px;}</style>\n";
            
    // Work out where to send the results to
    // WHich page to display the images from the selected album
    if( !isset($results_page) ){ $results_page = $results_posts[0]->post_permalink; }

        $strOutput .=  "<div class='carousel'>\n";

        // TODO: some settings
        foreach ( $vals as $val ) {
          
            switch ( $val["tag"] ) {

                case "MEDIA:THUMBNAIL":
                        $thumbnail = trim( $val["attributes"]["URL"] . "\n" );
                        break;

                case "MEDIA:DESCRIPTION":
                        $desc = trim( $val["value"] . "\n" );
                        break;

                case "MEDIA:TITLE":
                        $title = trim( $val["value"] );
                        break;

                case "LINK":
                        if ( $val["attributes"]["REL"] == "alternate" ) {
                            $href = trim( $val["attributes"]["HREF"] );
                        }
                        break;

                case "GPHOTO:NUMPHOTOS":
                        $num_photos = trim( $val["value"] );
                        break;

                case "GPHOTO:LOCATION":
                        $location = trim( $val["value"] );
                        break;

                case "PUBLISHED":
                        $published = trim( $val["value"] );
                        $published = substr( $published, 0, 10 );   
                        break;

                case "GPHOTO:ID":
                        $gphotoid = trim( $val["value"] );
                        break;

                case "OPENSEARCH:TOTALRESULTS":
                        $total_num_albums = trim( $val["value"] );
                        break;
            }

            #----------------------------------------------------------------------------
            # Once we have all the info we need, prepare the output...
            #----------------------------------------------------------------------------
            
            if ( isset( $thumbnail ) && isset( $title ) && isset( $href ) && isset( $num_photos ) && isset( $published ) && !in_array( $title, $hide_albums )) {

                if ( $stop != 1 ) {
                    $strOutput .=  "<div class=\"multiple-items-sc\">\n";
                    $stop=1;
                }
                $count++;

                $strOutput .=  "<div class=\"item\">\n";


                // check if permalinks are enabled
                if ( get_option( 'permalink_structure' ) ) { 
                    $strOutput .=  "<a href='" .$results_page . "?cws_album=$gphotoid' data-largesrc='$href' data-title='$title' data-description='$text'><img src='$thumbnail' alt='$title' /></a>\n";
                } else {
                    $strOutput .=  "<a href='" .$results_page . "&cws_album=$gphotoid' data-largesrc='$href' data-title='$title' data-description='$text'><img src='$thumbnail' alt='$title' /></a>\n";
                }


                    
                    if ( $show_title ) { $strOutput .=  "<div id='album_title'><h2>$title</h2></div>\n"; }

                $strOutput .=  "</div>\n"; // End .grid-item

                #----------------------------------
                # Reset the variables
                #----------------------------------
                unset( $thumbnail, $title, $href, $description );
            }
        }
                $strOutput .=  "</div>\n"; // End .carousel

            $strOutput .=  "</div>\n"; // End something